[//]: <> (This readme is in the markdown format. Please preview in a markdown parser.)

# Mario's Super Picross: English Translation

## About
Mario's Super Picross is a Super Famicom game released in 1995 September 14th. It uses the engine (and even the same assets) of other Picross games that Jupiter flooded the market with at the time. Despite Nintendo's heavy marketing of the first Mario Picross Game Boy game outside of Japan, sales weren't great, therefore, future Mario Picross titles weren't released outside of Japan back in the day. Fast forward the Wii era, the game was released in Europe for the Virtual Console. In 2020, Mario's Super Picross was then released worldwide on Nintendo Switch Online. The catch: the game was still in Japanese! [The most Nintendo did was offer a translated tutorial on their YouTube channel.](https://www.youtube.com/watch?v=WOrZ07PVo5I) I'm only aware of a couple of changes to the re-releases which were applied on the fly with Lua patching. Firstly, three puzzles were changed probably due to copyright reasons. Additionally, the Virtual Console release stripped the audio data out of the rom due to Sony owning the patents to the SPC700 BRR format and its decoding. Nintendo, not wanting to pay up, opted on sound hacks instead. By the time the game came out on the Switch, the patent had expired.

## Development
There was previous talk in the community about how the game already had VWF despite being in Japanese. This would be one less thing to hack in. You occasionally had people begging for the game to be translated on places like Discord.

In mid 2021, I picked up the project because I wanted to translate one of the few Mario games that were still in Japanese. Also, I figured it would be easy, considering VWF was already in the game. However, the pointers were mostly all hardcoded (aside from the puzzle names). I had to locate all the pointers for all of the graphics and dialogue which were scattered about everywhere. Additionally, I cracked the compression format so I could insert custom graphics. The puzzle names were also embedded in other puzzle data like the puzzle animations. I had to adjust my script inserter to properly extract the puzzle names. Hacking the game wasn't hard, just tedious and would scare any novice hacker.

One thing you may notice when playing through this game is just how much Japanese culture references there are in it. You didn't know pig incense burners were a thing? Unfamiliar with Toyama no Kin-san? Well, now you know! Some stuff like "Teru Teru Bouzu" will have a brief parenthetical explanation on what it is (a ghost doll). Some Mario names have comments, but these were in the original game. I don't love having romaji in translations, but it's unavoidable without changing the puzzles. Fortunately, it's not too bad in this translation. You'll even learn about Japanese culture along the way!

I've read the seven reviews on the romhacking.net site (which by the way, is pretty insane to have on the first week of release), and I appreciate the feedback and the fact people really enjoy the translation! A couple of people commented on the katakana puzzles at the very beginning. Replacing the puzzles was something I considered. After realizing the puzzles spell "Mario's Picross" and the fact that there's plenty of other Japanese culture puzzles, I left the puzzles alone. Sometime in the future, I'll release my translation tools, which can assist in a hacker changing the puzzles as they see fit.

I realize that a lot of people have played this game on Nintendo Switch Online. If you would like to resume where you left off in your NSO play session, one option is to just play through the game again. Another option is to use the following cheat code to plow through the game:

```
C05E7B:EA
C05E7C:EA
```

With this code, after starting a puzzle, you'll instantly win. One side effect is that the completion time will be 00:00 so everyone will know you cheated!

The game's anniversary was last month at the time of this writing, which I unfortunately missed for this translation. Oh well. Eventually, I want to release the translation's source code. However, considering this is a hot Nintendo item, I'm waiting a bit. Additionally, it probably won't include graphic data or script data because of Nintendo being Nintendo.

## Changes
* All graphics and text were translated (duh)
* The puzzle names in the original Japanese version used the VWF routine but had a hardcoded width. This logic was adjusted and the text centering logic was rewritten.
* The title screen was expanded to cover more width. One side effect is that the tiles in the background are partially covered up. 
* The font was slightly adjusted.
* Menus were expanded to fit more English characters.
* Text speed was increased for the milestone text (the Mario tutorial text was already at a decent speed)

## Support the Creators
If you like this game, consider supporting Nintendo by subscribing to Nintendo Switch Online or buying games from [Jupiter's Picross e series.](https://en.wikipedia.org/wiki/Picross_e)

## Changelog
* 2021 October 10th: 1.4
	* A handful of puzzle names were adjusted to fix the title casing, make the puzzle names more accurate to the picture, and use terminology more commonly used in English vernacular.
	* Start quote graphic in font adjusted.
	* There's some lines from Mario and Wario that I thought were unused / didn't know how to trigger. If you skip some puzzles, they give a message encouraging you to go back and complete them. The lines were cleaned up given this context.
	* You have "a 30 minutes" to complete each puzzle typo was fixed.
* 2021 October 8th: 1.3
	* Minor tweak to the text centering for puzzle names after a puzzle is completed.
* 2021 October 7th: 1.2
	* Fixed an issue where Wario's EX-K puzzle's name was not showing up. The text centering code was adjusted to allow for longer names.
	* Fixed an issue where the "の (No)" puzzle's picture was disappearing and some other puzzle animations weren't playing.
* 2021 October 6th: 1.1
	* Cleaned up the tutorial menu graphic.
* 2021 October 6th: 1.0
	* Initial release

## Credits
* FCandChill: Hacking, puzzle translations, graphics, script revision
* kumori#8931: Text translation 
* Senn: Kanji identification
* LuigiBlood#9296: Title screen feedback
* furrykef#4595: Onspot translation
* togemet2: Was there
* Kajitani-Eizan#9804: Feedback
* kandowontu#2047: Feedback/beta tester
* blameitontherobot#7777: Original title screen gfx

## Bug Reporters
* supersonicjc
	* Wario's EX-K puzzle issue.
* svenge
	* Puzzle picture disappearing issue.
* Eldrethor
	* You have "a 30 minutes" to complete each puzzle typo.